Creates a new solution.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The solution creation payload containing the data for the new solution.

Unified base model for both Platform and Salesforce solution flows.
Platform fields: Id, Name, Description, Environment, Region, Templates, DataModels, etc.
Salesforce fields: MasterObject, SampleRecord, DocumentTemplates, CongaQueries, SolutionBehaviors.

string
string
string
string
string
string
string
dataModels
array of objects
dataModels
templates
array of objects
templates
outputBehaviors
array of objects
outputBehaviors
deliveryOptions
object
highVolumeDeliveryOptions
object
destinations
array of objects
destinations
string
masterObject

Master object info: { id: "Account", name: "Account" }.
id = Object API name (stored in Salesforce APXTConga4__Master_Object_Type__c).
name = Display label (resolved from describe API on read, NOT stored).

sampleRecord

Sample record info: { id: "001XXXXXXXXXXXX", name: "Burlington Textiles Corp" }.
id = Salesforce record ID (maps to APXTConga4__Sample_Record_Id__c).
name = Record display name (maps to APXTConga4__Sample_Record_Name__c).

documentTemplates
array of objects

List of document template IDs to associate with the solution.
Max 40 templates per solution (Salesforce flow only).
Maps to: APXTConga4__Conga_Solution_Template__c junction records.

documentTemplates
congaQueries
array of objects

List of Conga Query IDs to associate with the solution.
Max 100 queries per solution (Salesforce flow only).
Maps to: APXTConga4__Conga_Solution_Query__c junction records.

congaQueries
solutionBehaviors
array of objects

List of solution behavior parameters (key-value pairs).
Maps to: APXTConga4__Conga_Solution_Parameter__c child records.

solutionBehaviors
Responses
201

201 Created if successful, 400 Bad Request if there was an issue with the creation, or 500 for internal server errors.

500
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json